<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <title>お問い合わせ内容確認</title>
</head>
<body>
<?php
$errorMessages = [];

// 氏名のバリデーション
if(strlen($_POST['name']) === 0 || mb_strlen($_POST['name']) > 10) {
    $errorMessages['name'] = '氏名は必須項目です。10文字以内で入力してください。';
}

// フリガナのバリデーション
if(strlen($_POST['furigana']) === 0 || mb_strlen($_POST['furigana']) > 10) {
    $errorMessages['furigana'] = 'フリガナは必須項目です。10文字以内で入力してください。';
}

// 電話番号のバリデーション
if(!preg_match('/^[0-9]{9,11}$/', $_POST['phone'])) {
    $errorMessages['phone'] = '電話番号は0-9の数字で9〜11文字以内で入力してください。';
}

// メールアドレスのバリデーション
if(strlen($_POST['email']) === 0 || !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
    $errorMessages['email'] = 'メールアドレスは正しい形式で入力してください。';
}

// お問い合わせ内容のバリデーション
if(strlen($_POST['message']) === 0) {
    $errorMessages['message'] = 'お問い合わせ内容は必須項目です。';
}

// エラーメッセージがある場合はcontact.phpにリダイレクト
if(!empty($errorMessages)) {
    // エラーメッセージをセッションに保存
    session_start();
    $_SESSION['errors'] = $errorMessages;
    header('Location: contact.php');
    exit;
}
?>
    <p>名前: <?php echo htmlspecialchars($_POST['name']); ?></p>
    <p>フリガナ: <?php echo htmlspecialchars($_POST['furigana']); ?></p>
    <p>電話番号: <?php echo htmlspecialchars($_POST['phone']); ?></p>
    <p>メールアドレス: <?php echo htmlspecialchars($_POST['email']); ?></p>
    <p>お問い合わせ内容: <?php echo nl2br(htmlspecialchars($_POST['message'])); ?></p>

    <form action="complete.php" method="post">
        <input type="hidden" name="name" value="<?php echo htmlspecialchars($_POST['name']); ?>">
        <input type="hidden" name="furigana" value="<?php echo htmlspecialchars($_POST['furigana']); ?>">
        <input type="hidden" name="phone" value="<?php echo htmlspecialchars($_POST['phone']); ?>">
        <input type="hidden" name="email" value="<?php echo htmlspecialchars($_POST['email']); ?>">
        <input type="hidden" name="message" value="<?php echo htmlspecialchars($_POST['message']); ?>">
        <input type="submit" value="送信">
    </form>
</body>
</html>
