<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <title>お問い合わせフォーム</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body>
    <form action="confirm.php" method="post">
        <label for="name">名前：</label>
        <input type="text" id="name" name="name" required><br>

        <label for="furigana">フリガナ：</label>
        <input type="text" id="furigana" name="furigana" required><br>

        <label for="phone">電話番号：</label>
        <input type="text" id="phone" name="phone" required><br>

        <label for="email">メールアドレス：</label>
        <input type="email" id="email" name="email" required><br>

        <label for="message">お問い合わせ内容：</label>
        <textarea id="message" name="message" required></textarea><br>

        <input type="submit" value="確認画面へ">
    </form>

    <script>
    $(document).ready(function(){
        $('form').on('submit', function(e){
            var isValid = true;
            var name = $('#name').val();
            var furigana = $('#furigana').val();
            var phone = $('#phone').val();
            var email = $('#email').val();
            var message = $('#message').val();

            // 氏名のバリデーション
            if(name.length === 0 || name.length > 10) {
                alert('氏名は必須項目です。10文字以内で入力してください。');
                isValid = false;
            }

            // フリガナのバリデーション
            if(furigana.length === 0 || furigana.length > 10) {
                alert('フリガナは必須項目です。10文字以内で入力してください。');
                isValid = false;
            }

            // 電話番号のバリデーション
            if(!phone.match(/^[0-9]{9,11}$/)) {
                alert('電話番号は0-9の数字で9〜11文字以内で入力してください。');
                isValid = false;
            }

            // メールアドレスのバリデーション
            if(email.length === 0 || !email.includes('@')) {
                alert('メールアドレスは正しい形式で入力してください。');
                isValid = false;
            }

            // お問い合わせ内容のバリデーション
            if(message.length === 0) {
                alert('お問い合わせ内容は必須項目です。');
                isValid = false;
            }

            return isValid;
        });
    });
    </script>
</body>
</html>
